Issue 91351 - ODFF: make HYPERLINK function accept a number as second argument and return it
Summary: ODFF: make HYPERLINK function accept a number as second argument and return it
Status: CLOSED FIXED
Alias: None
Product: Calc
Classification: Application
Component: programming (show other issues)
Version: OOo 3.0 Beta 2
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: oc
QA Contact: issues@sc
URL:
Keywords: ms_interoperability
Depends on:
Blocks: 31050
  Show dependency tree
 
Reported: 2008-07-03 16:21 UTC by daniel.rentz
Modified: 2017-05-20 11:42 UTC (History)
3 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
A patch for this, and a question is that, for enmpty cell, Excel returns value 0, while we return empty string now, shall we do the same? (3.21 KB, text/plain)
2009-05-15 09:16 UTC, lvyue
no flags Details
testcase document (9.47 KB, application/vnd.oasis.opendocument.spreadsheet)
2009-08-10 23:11 UTC, ooo
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description daniel.rentz 2008-07-03 16:21:01 UTC
The HYPERLINK function should return the data type of its second parameter, e.g.

=HYPERLINK("http://www.example.org";12345)

should return 12345 as number to be able to do further calculation in other
formulas. Currently, return value is always string.
Comment 1 daniel.rentz 2008-07-04 14:04:58 UTC
keyword ms_interoperability
Comment 2 ooo 2008-07-10 12:23:11 UTC
Needs to be defined in the OASIS ODF Formula specification as well.
Comment 3 kpalagin 2009-03-31 13:05:48 UTC
Eike,
did we propose necessary changes to ODF for this issue to proceed?
Regards,
K. Palagin.
Comment 4 ooo 2009-03-31 16:54:11 UTC
@kpalagin: Yes, it's already part of the latest draft.
Comment 5 lvyue 2009-05-15 09:16:13 UTC
Created attachment 62282 [details]
A patch for this, and a question is that, for enmpty cell, Excel returns value 0, while we return empty string now, shall we do the same?
Comment 6 ooo 2009-06-03 09:22:27 UTC
Targeting to 3.2
Comment 7 lvyue 2009-06-05 10:10:05 UTC
Hi, Eike
I used PutEmpty() for ampty cell, the result is still empty,
use that or put value 0.0 instead?
by the way, there is the same problem for case of empty matrix element,
because Excel seems not allow empty matrix element, so we also have to handle 
it.
Comment 8 lvyue 2009-06-05 10:14:00 UTC
Hi, Eike
I used PutEmpty() for ampty cell, the result is still empty,
use that or put value 0.0 instead?
by the way, there is the same problem for case of empty matrix element,
because Excel seems not allow empty matrix element, so we also have to handle 
it.
Comment 9 lvyue 2009-06-05 10:14:51 UTC
Hi, Eike
I used PutEmpty() for ampty cell, the result is still empty,
use that or put value 0.0 instead?
by the way, there is the same problem for case of empty matrix element,
because Excel seems not allow empty matrix element, so we also have to handle 
it.
Comment 10 lvyue 2009-06-05 10:15:15 UTC
Hi, Eike
I used PutEmpty() for ampty cell, the result is still empty,
use that or put value 0.0 instead?
by the way, there is the same problem for case of empty matrix element,
because Excel seems not allow empty matrix element, so we also have to handle 
it.
Comment 11 lvyue 2009-06-05 10:18:47 UTC
I'm very sorry, bad network.
who can delete them?
Comment 12 ooo 2009-08-10 23:07:03 UTC
In cws odff06:

revision 274843
sc/source/core/tool/interpr2.cxx

Changed patch such that numeric 0 is returned for empty cells and matrix
elements. Added error propagation.
Comment 13 ooo 2009-08-10 23:11:12 UTC
Created attachment 64047 [details]
testcase document
Comment 14 ooo 2009-09-03 22:07:28 UTC
Reassigning to QA for verification.
Comment 15 oc 2009-09-10 18:15:48 UTC
verified in internal build cws_odff06